Subject: Re: ASN.1 vs XML (used to be RE: I-DACTION:draft-ietf-pkix-scvp-00.txt)

From: "Anders Rundgren" <[email-masked]>
Date: Tue, 13 Jul 1999 21:50:39 +0100

<snip>
>There seems to be an implication here that mainstream users want to be able
>to read the signed data in its native format, and thus XML encoding is
>preferable to DER.  But we know this is not true, i.e., whatever has been
>signed will be decoded prior to display, and then rendered for the user.
>So, it would seem that the use of an encoding scheme such as XML would be
>more attractive for developers performing debugging, rather than for users.
>

Steve, I was a little bit unclear I think.  By users I referred to Issuers and RPs
who could benefit (as U point out) from a language format that lends itself to debugging.

Anders